org.icefaces.ace.component.column

## Class ProxiedBodyColumn

- java.lang.Object
- - org.icefaces.ace.component.column.ProxiedBodyColumn

- All Implemented Interfaces:
    IColumn, IProxiableColumn

      public class ProxiedBodyColumn
      extends java.lang.Object
      implements IProxiableColumn

  This allows key properties to be set on the corresponding header column, and used as if it was set on the body column.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxiedBodyColumn(Column headerColumn, Column bodyColumn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeAll(javax.faces.context.FacesContext context)`
    `DataTable` | `findParentTable()`
    `int` | `getColspan()`
    `int` | `getCurrGroupLength()`
    `java.lang.Object` | `getFilterBy()`
    `java.lang.String` | `getFilterMatchMode()`
    `java.lang.Object` | `getFilterOptions()`
    `java.lang.String` | `getFilterStyle()`
    `java.lang.String` | `getFilterStyleClass()`
    `java.lang.String` | `getFilterValue()`
    `java.lang.Object` | `getFilterValues()`
    `java.lang.String` | `getFooterText()`
    `java.lang.Object` | `getGroupBy()`
    `java.lang.String` | `getHeaderText()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getLazyColumnKey()`
    `java.lang.Integer` | `getPinningOrder()`
    `int` | `getRowspan()`
    `java.lang.Object` | `getSelectBy()`
    `java.lang.Object` | `getSortBy()`
    `java.util.Comparator` | `getSortFunction()`
    `java.lang.Integer` | `getSortPriority()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `javax.el.ValueExpression` | `getValueExpression(java.lang.String name)`
    `boolean` | `hasCellEditor()`
    `boolean` | `isConfigurable()`
    `boolean` | `isHideSortControls()`
    `boolean` | `isOddGroup()`
    `boolean` | `isRendered()`
    `boolean` | `isReorderable()`
    `java.lang.Boolean` | `isSortAscending()`
    `boolean` | `isSortWhenGrouping()`
    `boolean` | `isStacked()`
    `void` | `setColspan(int colspan)`
    `void` | `setConfigurable(boolean configurable)`
    `void` | `setCurrGroupLength(int currGroupLength)`
    `void` | `setFilterBy(java.lang.Object filterBy)`
    `void` | `setFilterMatchMode(java.lang.String filterMatchMode)`
    `void` | `setFilterOptions(java.lang.Object filterOptions)`
    `void` | `setFilterStyle(java.lang.String filterStyle)`
    `void` | `setFilterStyleClass(java.lang.String filterStyleClass)`
    `void` | `setFilterValue(java.lang.String filterValue)`
    `void` | `setFilterValues(java.lang.Object filterValues)`
    `void` | `setFooterText(java.lang.String footerText)`
    `void` | `setGroupBy(java.lang.Object groupBy)`
    `void` | `setHeaderText(java.lang.String headerText)`
    `void` | `setHideSortControls(boolean hideSortControls)`
    `void` | `setLazyColumnKey(java.lang.String lazyColumnKey)`
    `void` | `setOddGroup(boolean oddGroup)`
    `void` | `setPinningOrder(java.lang.Integer pinningOrder)`
    `void` | `setReorderable(boolean reorderable)`
    `void` | `setRowspan(int rowspan)`
    `void` | `setSelectBy(java.lang.Object selectBy)`
    `void` | `setSortAscending(java.lang.Boolean sortAscending)`
    `void` | `setSortBy(java.lang.Object sortBy)`
    `void` | `setSortFunction(java.util.Comparator sortFunction)`
    `void` | `setSortPriority(java.lang.Integer sortPriority)`
    `void` | `setSortWhenGrouping(boolean sortWhenGrouping)`
    `void` | `setStacked(boolean stacked)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxiedBodyColumn

          public ProxiedBodyColumn(Column headerColumn,
                                   Column bodyColumn)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `IProxiableColumn`

    - #### encodeAll

          public void encodeAll(javax.faces.context.FacesContext context)
                         throws java.io.IOException

      Specified by:
        `encodeAll` in interface `IProxiableColumn`
      Throws:
        `java.io.IOException`

    - #### findParentTable

          public DataTable findParentTable()

      Specified by:
        `findParentTable` in interface `IProxiableColumn`

    - #### isOddGroup

          public boolean isOddGroup()

      Specified by:
        `isOddGroup` in interface `IProxiableColumn`

    - #### setOddGroup

          public void setOddGroup(boolean oddGroup)

      Specified by:
        `setOddGroup` in interface `IProxiableColumn`

    - #### isSortWhenGrouping

          public boolean isSortWhenGrouping()

      Specified by:
        `isSortWhenGrouping` in interface `IColumn`

    - #### setSortWhenGrouping

          public void setSortWhenGrouping(boolean sortWhenGrouping)

      Specified by:
        `setSortWhenGrouping` in interface `IColumn`

    - #### isHideSortControls

          public boolean isHideSortControls()

      Specified by:
        `isHideSortControls` in interface `IColumn`

    - #### setHideSortControls

          public void setHideSortControls(boolean hideSortControls)

      Specified by:
        `setHideSortControls` in interface `IColumn`

    - #### getCurrGroupLength

          public int getCurrGroupLength()

      Specified by:
        `getCurrGroupLength` in interface `IProxiableColumn`

    - #### setCurrGroupLength

          public void setCurrGroupLength(int currGroupLength)

      Specified by:
        `setCurrGroupLength` in interface `IProxiableColumn`

    - #### hasCellEditor

          public boolean hasCellEditor()

      Specified by:
        `hasCellEditor` in interface `IProxiableColumn`

    - #### setColspan

          public void setColspan(int colspan)

      Specified by:
        `setColspan` in interface `IColumn`

    - #### getColspan

          public int getColspan()

      Specified by:
        `getColspan` in interface `IColumn`

    - #### setRowspan

          public void setRowspan(int rowspan)

      Specified by:
        `setRowspan` in interface `IColumn`

    - #### getRowspan

          public int getRowspan()

      Specified by:
        `getRowspan` in interface `IColumn`

    - #### setStacked

          public void setStacked(boolean stacked)

      Specified by:
        `setStacked` in interface `IColumn`

    - #### isStacked

          public boolean isStacked()

      Specified by:
        `isStacked` in interface `IColumn`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Specified by:
        `setStyle` in interface `IColumn`

    - #### getStyle

          public java.lang.String getStyle()

      Specified by:
        `getStyle` in interface `IColumn`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Specified by:
        `setStyleClass` in interface `IColumn`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Specified by:
        `getStyleClass` in interface `IColumn`

    - #### isRendered

          public boolean isRendered()

      Specified by:
        `isRendered` in interface `IProxiableColumn`

    - #### getValueExpression

          public javax.el.ValueExpression getValueExpression(java.lang.String name)

      Specified by:
        `getValueExpression` in interface `IProxiableColumn`

    - #### setConfigurable

          public void setConfigurable(boolean configurable)

      Specified by:
        `setConfigurable` in interface `IColumn`

    - #### isConfigurable

          public boolean isConfigurable()

      Specified by:
        `isConfigurable` in interface `IColumn`

    - #### setFilterBy

          public void setFilterBy(java.lang.Object filterBy)

      Specified by:
        `setFilterBy` in interface `IColumn`

    - #### getFilterBy

          public java.lang.Object getFilterBy()

      Specified by:
        `getFilterBy` in interface `IColumn`

    - #### setFilterMatchMode

          public void setFilterMatchMode(java.lang.String filterMatchMode)

      Specified by:
        `setFilterMatchMode` in interface `IColumn`

    - #### getFilterMatchMode

          public java.lang.String getFilterMatchMode()

      Specified by:
        `getFilterMatchMode` in interface `IColumn`

    - #### setFilterOptions

          public void setFilterOptions(java.lang.Object filterOptions)

      Specified by:
        `setFilterOptions` in interface `IColumn`

    - #### getFilterOptions

          public java.lang.Object getFilterOptions()

      Specified by:
        `getFilterOptions` in interface `IColumn`

    - #### setFilterStyle

          public void setFilterStyle(java.lang.String filterStyle)

      Specified by:
        `setFilterStyle` in interface `IColumn`

    - #### getFilterStyle

          public java.lang.String getFilterStyle()

      Specified by:
        `getFilterStyle` in interface `IColumn`

    - #### setFilterStyleClass

          public void setFilterStyleClass(java.lang.String filterStyleClass)

      Specified by:
        `setFilterStyleClass` in interface `IColumn`

    - #### getFilterStyleClass

          public java.lang.String getFilterStyleClass()

      Specified by:
        `getFilterStyleClass` in interface `IColumn`

    - #### setFilterValue

          public void setFilterValue(java.lang.String filterValue)

      Specified by:
        `setFilterValue` in interface `IColumn`

    - #### getFilterValue

          public java.lang.String getFilterValue()

      Specified by:
        `getFilterValue` in interface `IColumn`

    - #### setFilterValues

          public void setFilterValues(java.lang.Object filterValues)

      Specified by:
        `setFilterValues` in interface `IColumn`

    - #### getFilterValues

          public java.lang.Object getFilterValues()

      Specified by:
        `getFilterValues` in interface `IColumn`

    - #### setFooterText

          public void setFooterText(java.lang.String footerText)

      Specified by:
        `setFooterText` in interface `IColumn`

    - #### getFooterText

          public java.lang.String getFooterText()

      Specified by:
        `getFooterText` in interface `IColumn`

    - #### setGroupBy

          public void setGroupBy(java.lang.Object groupBy)

      Specified by:
        `setGroupBy` in interface `IColumn`

    - #### getGroupBy

          public java.lang.Object getGroupBy()

      Specified by:
        `getGroupBy` in interface `IColumn`

    - #### setHeaderText

          public void setHeaderText(java.lang.String headerText)

      Specified by:
        `setHeaderText` in interface `IColumn`

    - #### getHeaderText

          public java.lang.String getHeaderText()

      Specified by:
        `getHeaderText` in interface `IColumn`

    - #### setPinningOrder

          public void setPinningOrder(java.lang.Integer pinningOrder)

      Specified by:
        `setPinningOrder` in interface `IColumn`

    - #### getPinningOrder

          public java.lang.Integer getPinningOrder()

      Specified by:
        `getPinningOrder` in interface `IColumn`

    - #### setReorderable

          public void setReorderable(boolean reorderable)

      Specified by:
        `setReorderable` in interface `IColumn`

    - #### isReorderable

          public boolean isReorderable()

      Specified by:
        `isReorderable` in interface `IColumn`

    - #### setSelectBy

          public void setSelectBy(java.lang.Object selectBy)

      Specified by:
        `setSelectBy` in interface `IColumn`

    - #### getSelectBy

          public java.lang.Object getSelectBy()

      Specified by:
        `getSelectBy` in interface `IColumn`

    - #### setSortAscending

          public void setSortAscending(java.lang.Boolean sortAscending)

      Specified by:
        `setSortAscending` in interface `IColumn`

    - #### isSortAscending

          public java.lang.Boolean isSortAscending()

      Specified by:
        `isSortAscending` in interface `IColumn`

    - #### setSortBy

          public void setSortBy(java.lang.Object sortBy)

      Specified by:
        `setSortBy` in interface `IColumn`

    - #### getSortBy

          public java.lang.Object getSortBy()

      Specified by:
        `getSortBy` in interface `IColumn`

    - #### setSortFunction

          public void setSortFunction(java.util.Comparator sortFunction)

      Specified by:
        `setSortFunction` in interface `IColumn`

    - #### getSortFunction

          public java.util.Comparator getSortFunction()

      Specified by:
        `getSortFunction` in interface `IColumn`

    - #### setSortPriority

          public void setSortPriority(java.lang.Integer sortPriority)

      Specified by:
        `setSortPriority` in interface `IColumn`

    - #### getSortPriority

          public java.lang.Integer getSortPriority()

      Specified by:
        `getSortPriority` in interface `IColumn`

    - #### setLazyColumnKey

          public void setLazyColumnKey(java.lang.String lazyColumnKey)

      Specified by:
        `setLazyColumnKey` in interface `IColumn`
      Specified by:
        `setLazyColumnKey` in interface `IProxiableColumn`

    - #### getLazyColumnKey

          public java.lang.String getLazyColumnKey()

      Specified by:
        `getLazyColumnKey` in interface `IColumn`
      Specified by:
        `getLazyColumnKey` in interface `IProxiableColumn`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.